%define upstream_name    Thread-IID
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 25

Summary:    Unique Interpreter IDs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Thread/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl-devel
%description
This provides an identifier to distinguish Perl interpreter instances. In environments like mod_perl2, where interpreters can be cloned and passed
around between OS threads, the thread ID gives no indication of which
interpreter instance is actually running and hence which corresponding set
of values/data-structures is actually being referenced. For such situations
the interpreter ID is more likely to be what you actually want.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Fri Dec 01 2023 tv <tv> 0.40.0-25.mga10
+ Revision: 2012015
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.40.0-24.mga9
+ Revision: 1862504
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.40.0-23.mga9
+ Revision: 1796131
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.40.0-22.mga9
+ Revision: 1727153
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.40.0-21.mga8
+ Revision: 1594774
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.40.0-20.mga8
+ Revision: 1530150
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.40.0-19.mga8
+ Revision: 1433922
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.40.0-18.mga7
+ Revision: 1293887
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.40.0-17.mga7
+ Revision: 1249894
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.40.0-16.mga7
+ Revision: 1167081
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.40.0-15.mga7
+ Revision: 1149329
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.40.0-14.mga7
+ Revision: 1126440
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-13.mga6
+ Revision: 1035188
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.40.0-12.mga6
+ Revision: 958121
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.40.0-11.mga6
+ Revision: 845355
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.40.0-10.mga6
+ Revision: 841412
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.40.0-9.mga5
+ Revision: 790298
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-8.mga5
+ Revision: 743173
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-7.mga5
+ Revision: 686675
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.40.0-6.mga5
+ Revision: 631813
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-5.mga4
+ Revision: 524554
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-4.mga4
+ Revision: 430975
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-3.mga3
+ Revision: 374260
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-2.mga3
+ Revision: 251241
- rebuild for perl 5.16

* Tue Feb 21 2012 kharec <kharec> 0.40.0-1.mga2
+ Revision: 211737
- update to 0.04

* Sun Dec 04 2011 kharec <kharec> 0.30.0-1.mga2
+ Revision: 175944
- update to 0.03

* Sun Dec 04 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 175936
- imported package perl-Thread-IID

